/**
 * Created by abdulazizalonizi on 8/15/17.
 */
public class SandwitchStand {
    	private static int totalSandwitchSoldAllStands =0;
    	private int totalSandwitchSoldAtStand =0;
    	private int standID =0;

       SandwitchStand(int standID)
       {
           this.standID =standID;
       }

    	public int getStandID()
        {
            return this.standID;
        }
    	 public int  getNumSandwitchSoldAtStand()
         {
             return this.totalSandwitchSoldAtStand;
         }
    	public void sellSandwitch(int numberOfSandwiches) throws IllegalArgumentException
        {
            if (numberOfSandwiches >0) {
                this.totalSandwitchSoldAtStand += numberOfSandwiches;
                totalSandwitchSoldAllStands += numberOfSandwiches;
            }
            else
                throw new IllegalArgumentException("error : wrong argument" );
        }
    	public static int getNumSandwitchSoldAllStands()
        {
            return totalSandwitchSoldAllStands;
        }




}
